using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XYY.Service.Standard.Finance.Model
{
    public class CharsComparer:IComparer<string>
    {
        public int Compare(string x, string y)
        {
            string xLastThree = x.Substring(Math.Max(0, x.Length - 3));
            string yLastThree = y.Substring(Math.Max(0, y.Length - 3));
            return xLastThree.CompareTo(yLastThree);
        }
    }
}
